Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.estimation
Class EstimatedParameter

    java.lang.Object
      org.apache.commons.math.estimation.EstimatedParameter

All Implemented Interfaces:
  Serializable

Deprecated. as of 2.0, everything in package org.apache.commons.math.estimation has been deprecated and replaced by package org.apache.commons.math.optimization.general

    @Deprecated
    public class EstimatedParameter

extends Object
implements Serializable

This class represents the estimated parameters of an estimation problem.

The parameters of an estimation problem have a name, a value and a bound flag. The value of bound parameters is considered trusted and the solvers should not adjust them. On the other hand, the solvers should adjust the value of unbounds parameters until they satisfy convergence criterions specific to each solver.

Since:
  1.2
Version:
  $Revision: 922710 $ $Date: 2010-03-14 02:20:56 +0100 (dim. 14 mars 2010) $
See Also:
  Serialized Form

Field Summary
`protected double` | `estimate` Deprecated. Current value of the parameter

Constructor Summary
`EstimatedParameter(EstimatedParameter parameter)` Deprecated. Copy constructor.
`EstimatedParameter(String name, double firstEstimate)` Deprecated. Simple constructor.
`EstimatedParameter(String name, double firstEstimate, boolean bound)` Deprecated. Simple constructor.

Method Summary
`double` | `getEstimate()` Deprecated. Get the current estimate of the parameter
`String` | `getName()` Deprecated. get the name of the parameter
`boolean` | `isBound()` Deprecated. Check if the parameter is bound
`void` | `setBound(boolean bound)` Deprecated. Set the bound flag of the parameter
`void` | `setEstimate(double estimate)` Deprecated. Set a new estimated value for the parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### estimate

    protected double estimate

  Deprecated.
  Current value of the parameter

Constructor Detail

### EstimatedParameter

    public EstimatedParameter(String name,
                              double firstEstimate)

  Deprecated.
  Simple constructor. Build an instance from a first estimate of the parameter, initially considered unbound.

  Parameters:
    `name` - name of the parameter
    `firstEstimate` - first estimate of the parameter

### EstimatedParameter

    public EstimatedParameter(String name,
                              double firstEstimate,
                              boolean bound)

  Deprecated.
  Simple constructor. Build an instance from a first estimate of the parameter and a bound flag

  Parameters:
    `name` - name of the parameter
    `firstEstimate` - first estimate of the parameter
    `bound` - flag, should be true if the parameter is bound

### EstimatedParameter

    public EstimatedParameter(EstimatedParameter parameter)

  Deprecated.
  Copy constructor. Build a copy of a parameter

  Parameters:
    `parameter` - instance to copy

Method Detail

### setEstimate

    public void setEstimate(double estimate)

  Deprecated.
  Set a new estimated value for the parameter.

  Parameters:
    `estimate` - new estimate for the parameter

### getEstimate

    public double getEstimate()

  Deprecated.
  Get the current estimate of the parameter

  Returns:
    current estimate

### getName

    public String getName()

  Deprecated.
  get the name of the parameter

  Returns:
    parameter name

### setBound

    public void setBound(boolean bound)

  Deprecated.
  Set the bound flag of the parameter

  Parameters:
    `bound` - this flag should be set to true if the parameter is bound (i.e. if it should not be adjusted by the solver).

### isBound

    public boolean isBound()

  Deprecated.
  Check if the parameter is bound

  Returns:
    true if the parameter is bound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.